org.apache.thrift.transport

## Class TStandardFile

- java.lang.Object
- - org.apache.thrift.transport.TStandardFile

- All Implemented Interfaces:
    TSeekableFile

      public class TStandardFile
      extends java.lang.Object
      implements TSeekableFile

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.io.RandomAccessFile` | `inputFile_`
    `protected java.lang.String` | `path_`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TStandardFile(java.lang.String path)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `java.io.InputStream` | `getInputStream()`
    `java.io.OutputStream` | `getOutputStream()`
    `long` | `length()`
    `void` | `seek(long pos)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### path_

          protected java.lang.String path_

    - #### inputFile_

          protected java.io.RandomAccessFile inputFile_

  - ### Constructor Detail

    - #### TStandardFile

          public TStandardFile(java.lang.String path)
                        throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### getInputStream

          public java.io.InputStream getInputStream()
                                             throws java.io.IOException

      Specified by:
        `getInputStream` in interface `TSeekableFile`
      Throws:
        `java.io.IOException`

    - #### getOutputStream

          public java.io.OutputStream getOutputStream()
                                               throws java.io.IOException

      Specified by:
        `getOutputStream` in interface `TSeekableFile`
      Throws:
        `java.io.IOException`

    - #### close

          public void close()
                     throws java.io.IOException

      Specified by:
        `close` in interface `TSeekableFile`
      Throws:
        `java.io.IOException`

    - #### length

          public long length()
                      throws java.io.IOException

      Specified by:
        `length` in interface `TSeekableFile`
      Throws:
        `java.io.IOException`

    - #### seek

          public void seek(long pos)
                    throws java.io.IOException

      Specified by:
        `seek` in interface `TSeekableFile`
      Throws:
        `java.io.IOException`